package com.danitheskunk.skunkstuff;


import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.material.Material;
import org.quiltmc.qsl.block.extensions.api.QuiltBlockSettings;

public class BlockBuilder extends QuiltBlockSettings {
	public String name;
	public CreativeModeTab creativeModeTab = CreativeModeTab.TAB_MISC;
	public Block block;
	public BlockBuilder() {
		super(QuiltBlockSettings.of(Material.WOOD));
		strength(2);
		opaque(false);
	}

	public BlockBuilder name(String name) {
		this.name = name;
		return this;
	}

	public BlockBuilder creativeModeTab(CreativeModeTab creativeModeTab) {
		this.creativeModeTab = creativeModeTab;
		return this;
	}

	public Block build() {
		block = new Block(this);
		Blocks.addToDeffered(this);
		return block;
	}
}
